Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QSystemSemaphore.SystemSemaphoreError

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QSystemSemaphore.SystemSemaphoreError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSystemSemaphore

    public static final class QSystemSemaphore.SystemSemaphoreError

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QSystemSemaphore.SystemSemaphoreError` | `AlreadyExists` The operation failed because a system semaphore with the specified key already existed.
`static QSystemSemaphore.SystemSemaphoreError` | `KeyError` The operation failed because of an invalid key.
`static QSystemSemaphore.SystemSemaphoreError` | `NoError` No error occurred.
`static QSystemSemaphore.SystemSemaphoreError` | `NotFound` The operation failed because a system semaphore with the specified key could not be found.
`static QSystemSemaphore.SystemSemaphoreError` | `OutOfResources` The operation failed because there was not enough memory available to fill the request.
`static QSystemSemaphore.SystemSemaphoreError` | `PermissionDenied` The operation failed because the caller didn't have the required permissions.
`static QSystemSemaphore.SystemSemaphoreError` | `UnknownError` Something else happened and it was bad.

Method Summary
`static QSystemSemaphore.SystemSemaphoreError` | `resolve(int value)` Returns the QSystemSemaphore$SystemSemaphoreError constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSystemSemaphore.SystemSemaphoreError` | `valueOf(java.lang.String name)`
`static QSystemSemaphore.SystemSemaphoreError[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QSystemSemaphore.SystemSemaphoreError NoError

  No error occurred.

### PermissionDenied

    public static final QSystemSemaphore.SystemSemaphoreError PermissionDenied

  The operation failed because the caller didn't have the required permissions.

### KeyError

    public static final QSystemSemaphore.SystemSemaphoreError KeyError

  The operation failed because of an invalid key.

### AlreadyExists

    public static final QSystemSemaphore.SystemSemaphoreError AlreadyExists

  The operation failed because a system semaphore with the specified key already existed.

### NotFound

    public static final QSystemSemaphore.SystemSemaphoreError NotFound

  The operation failed because a system semaphore with the specified key could not be found.

### OutOfResources

    public static final QSystemSemaphore.SystemSemaphoreError OutOfResources

  The operation failed because there was not enough memory available to fill the request.

### UnknownError

    public static final QSystemSemaphore.SystemSemaphoreError UnknownError

  Something else happened and it was bad.

Method Detail

### values

    public static QSystemSemaphore.SystemSemaphoreError[] values()

### valueOf

    public static QSystemSemaphore.SystemSemaphoreError valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSystemSemaphore.SystemSemaphoreError resolve(int value)

  Returns the QSystemSemaphore$SystemSemaphoreError constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD